Routines
Queue an asynchronous routine dispatch
Queues an asynchronous dispatch for the specified routine.
Parámetros de encabezado
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parámetros de la ruta de acceso
routine_name
string
requerido
The unique name of the routine.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Cuerpo de la solicitud
payload
invoke_agent_responses_api | invoke_agent_invocations_api
Base model for a manual dispatch payload.
invoke_agent_responses_api
InvokeAgentResponsesApiDispatchPayload
A manual payload used to test a responses API routine dispatch.
type
enum
requerido
The manual dispatch payload type.
input
InvokeAgentResponsesApiDispatchPayload
requerido
The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.
invoke_agent_invocations_api
InvokeAgentInvocationsApiDispatchPayload
A manual payload used to test an invocations API routine dispatch.
type
enum
requerido
The manual dispatch payload type.
input
InvokeAgentInvocationsApiDispatchPayload
requerido
The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.
Respuestas
The request has succeeded.
Cuerpo
dispatch_id
string
The dispatch identifier created for the routine dispatch.
action_correlation_id
string
A downstream action correlation identifier, when available.
task_id
string
A workspace task identifier created for the dispatch, when available.
Solicitar
POST /routines/{routine_name}:dispatch_async HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json